org.apache.lucene.analysis.cn.smart.hhmm

## Class HHMMSegmenter

- java.lang.Object
- - org.apache.lucene.analysis.cn.smart.hhmm.HHMMSegmenter

-     public class HHMMSegmenter
      extends java.lang.Object

  Finds the optimal segmentation of a sentence into Chinese words

  WARNING: The status of the analyzers/smartcn analysis.cn.smart package is experimental. The APIs and file formats introduced here might change in the future and will not be supported anymore in such a case.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HHMMSegmenter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `process(java.lang.String sentence)` Return a list of `SegToken` representing the best segmentation of a sentence

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HHMMSegmenter

          public HHMMSegmenter()

  - ### Method Detail

    - #### process

          public java.util.List process(java.lang.String sentence)

      Return a list of `SegToken` representing the best segmentation of a sentence
      Parameters:
        `sentence` - input sentence
      Returns:
        best segmentation as a `List`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.